Bug 1304569 - [abrt] libgnomekbd: xkl_engine_constructor(): gkbd-keyboard-display killed by SIGSEGV
[abrt] libgnomekbd: xkl_engine_constructor(): gkbd-keyboard-display killed by...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libgnomekbd (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f63e3a62f01d9df716c532b3932...
:
Depends On:
Blocks: WaylandRelated
  Show dependency treegraph
 
Reported: 2016-02-03 20:07 EST by Marek Doležel
Modified: 2017-08-08 08:44 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:44:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.45 KB, text/plain)
2016-02-03 20:07 EST, Marek Doležel
no flags Details
File: cgroup (242 bytes, text/plain)
2016-02-03 20:07 EST, Marek Doležel
no flags Details
File: core_backtrace (2.01 KB, text/plain)
2016-02-03 20:07 EST, Marek Doležel
no flags Details
File: dso_list (9.26 KB, text/plain)
2016-02-03 20:07 EST, Marek Doležel
no flags Details
File: environ (878 bytes, text/plain)
2016-02-03 20:07 EST, Marek Doležel
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-03 20:08 EST, Marek Doležel
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-03 20:08 EST, Marek Doležel
no flags Details
File: maps (40.16 KB, text/plain)
2016-02-03 20:08 EST, Marek Doležel
no flags Details
File: mountinfo (4.09 KB, text/plain)
2016-02-03 20:08 EST, Marek Doležel
no flags Details
File: open_fds (882 bytes, text/plain)
2016-02-03 20:08 EST, Marek Doležel
no flags Details
File: proc_pid_status (1.19 KB, text/plain)
2016-02-03 20:08 EST, Marek Doležel
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-02-03 20:08 EST, Marek Doležel
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 768113 None None None 2016-06-27 16:31 EDT

  None (edit)
Description Marek Doležel 2016-02-03 20:07:48 EST
Description of problem:
1. click on Show keyboard layout (in top right corner when you have multiple keyboard layouts)
2. crash

Version-Release number of selected component:
libgnomekbd-3.6.0-8.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gkbd-keyboard-display -l gb
crash_function: xkl_engine_constructor
executable:     /usr/bin/gkbd-keyboard-display
global_pid:     11993
kernel:         4.4.0-0.rc5.git3.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 xkl_engine_constructor at xklavier.c:669
 #1 g_object_new_with_custom_constructor at gobject.c:1699
 #2 g_object_new_internal at gobject.c:1779
 #3 g_object_new_valist at gobject.c:2040
 #5 xkl_engine_get_instance at xklavier.c:231

Potential duplicate: bug 1262553
Comment 1 Marek Doležel 2016-02-03 20:07:53 EST
Created attachment 1120981 [details]
File: backtrace
Comment 2 Marek Doležel 2016-02-03 20:07:54 EST
Created attachment 1120982 [details]
File: cgroup
Comment 3 Marek Doležel 2016-02-03 20:07:55 EST
Created attachment 1120983 [details]
File: core_backtrace
Comment 4 Marek Doležel 2016-02-03 20:07:57 EST
Created attachment 1120984 [details]
File: dso_list
Comment 5 Marek Doležel 2016-02-03 20:07:58 EST
Created attachment 1120985 [details]
File: environ
Comment 6 Marek Doležel 2016-02-03 20:08:00 EST
Created attachment 1120986 [details]
File: exploitable
Comment 7 Marek Doležel 2016-02-03 20:08:01 EST
Created attachment 1120987 [details]
File: limits
Comment 8 Marek Doležel 2016-02-03 20:08:03 EST
Created attachment 1120988 [details]
File: maps
Comment 9 Marek Doležel 2016-02-03 20:08:05 EST
Created attachment 1120989 [details]
File: mountinfo
Comment 10 Marek Doležel 2016-02-03 20:08:06 EST
Created attachment 1120990 [details]
File: open_fds
Comment 11 Marek Doležel 2016-02-03 20:08:07 EST
Created attachment 1120991 [details]
File: proc_pid_status
Comment 12 Marek Doležel 2016-02-03 20:08:09 EST
Created attachment 1120992 [details]
File: var_log_messages
Comment 13 Jan Kurik 2016-02-24 09:24:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 14 Sagan Stanislav 2016-03-29 16:41:55 EDT
Similar problem has been detected:

Do not show keyboard.
Crashes under wayland only. Under X is Ok

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        gkbd-keyboard-display -l us
crash_function: xkl_engine_constructor
executable:     /usr/bin/gkbd-keyboard-display
global_pid:     5414
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
package:        libgnomekbd-3.6.0-9.fc24
reason:         gkbd-keyboard-display killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Pawel Bogucki 2016-06-25 05:59:34 EDT
Similar problem has been detected:

Fresh install of F24.
First login to the system after installaton.
Login is a user with wheel group assigned.
Gnome on Wayland selected.
Attemtpted to change keyboard layout.

reporter:       libreport-2.7.1
backtrace_rating: 3
cmdline:        gkbd-keyboard-display -l us
crash_function: xkl_engine_constructor
executable:     /usr/bin/gkbd-keyboard-display
global_pid:     2074
kernel:         4.5.5-300.fc24.x86_64
package:        libgnomekbd-3.6.0-9.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         gkbd-keyboard-display killed by SIGSEGV
reproducible:   Not sure how to reproduce the problem
runlevel:       unknown
type:           CCpp
uid:            1000
Comment 16 Milan Bouchet-Valat 2016-06-27 16:25:40 EDT
Similar problem has been detected:

Crashes all the time when trying to show keyboard layout.

reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        gkbd-keyboard-display -l us
crash_function: xkl_engine_constructor
executable:     /usr/bin/gkbd-keyboard-display
global_pid:     26231
kernel:         4.5.7-300.fc24.x86_64
package:        libgnomekbd-3.6.0-9.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         gkbd-keyboard-display killed by SIGSEGV
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 snapsisy 2016-07-02 18:57:05 EDT
Similar problem has been detected:

it seem it doesn't do any thing to me,but system reported it to me...

reporter:       libreport-2.7.1
backtrace_rating: 3
cmdline:        gkbd-keyboard-display -l default
crash_function: xkl_engine_constructor
executable:     /usr/bin/gkbd-keyboard-display
global_pid:     4981
kernel:         4.5.5-300.fc24.x86_64
package:        libgnomekbd-3.6.0-9.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         gkbd-keyboard-display killed by SIGSEGV
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Peter 2016-08-01 16:14:08 EDT
Similar problem has been detected:

Usually I have a German keyboard layout.
When using my Laptop after waking, the English keyboard was set up.
I tried to change the keyboard layout in the configuration. There the German layout was set.
After clicking on the "German" entry, the application crashed.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        gkbd-keyboard-display -l de
crash_function: xkl_engine_constructor
executable:     /usr/bin/gkbd-keyboard-display
global_pid:     4064
kernel:         4.6.4-301.fc24.x86_64
package:        libgnomekbd-3.6.0-9.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         gkbd-keyboard-display killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 Olivier Fourdan 2016-09-07 08:48:42 EDT
From attachment 1120985 [details]:

    XDG_SESSION_TYPE=wayland
    [...]
    WAYLAND_DISPLAY=wayland-0

That's on Wayland (this the crash when trying to get the X11's RootWindow()), adding to the WaylandRelated bug
Comment 20 Christian Stadelmann 2016-11-05 12:39:52 EDT
the keyboard layout window is now using X11 (enforced). The crasher is gone for me now.
Comment 21 Fedora End Of Life 2017-07-25 15:53:23 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2017-08-08 08:44:25 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.